shader
{
	code= "
	void main()
	{
		vec3 position = reconstructPositionFromDepth(gl_TexCoord[0].st);
		vec4 fogColorAndDensity = getFog(position, cameraPosition);

		gl_FragColor= fogColorAndDensity;
	}
	"
	
	includes
	{
		file = resources/shaders/engine/positionFromDepth.sh
		file = resources/shaders/engine/atmosphere/fog/fog.sh
	}
}