shader{

	code= "
	#define SUN_LIGHT_MULTIPLIER	1.8
	
	uniform vec3					sunLightVector;
	
	void main(){
		vec3 sunColor= calculateSunLightColor(sunLightVector);		
		gl_FragColor= vec4(sunColor, 1.0)*SUN_LIGHT_MULTIPLIER;
	}
	"
	
	includes{
		file= resources/shaders/engine/atmosphere/skyLighting/atmosphericScattering.sh
	}
	
	semantics{
		sunLightVector= SUN_LIGHT_DIRECTION
	}
}