shader
{
	code= "
	uniform sampler2D		texture;
	
	void main()
	{

		//Convert color from RGB to luminance.
		vec3 color = texture2D(texture, gl_TexCoord[0].st).rgb;
		float luminance = color.r*0.2126+ color.g*0.7152+ color.b*0.0722;
		luminance = max(luminance, 0.0001);
		
		gl_FragColor= log(luminance);
	}
	"
}