shader
{
	code= "
	#version 430

	in vec3		vertexPosition;
	out vec2	texCoord;

	void main()
	{
		gl_Position = vec4(vertexPosition * 2.0 - 1.0, 1.0); 
		texCoord = vertexPosition.xy;
	}
	"

	semantics
	{
		vertexPosition = VERTEX_POSITION
	}
}