shader{

	code= "
	uniform sampler2D		lightMaskTexture;
	varying vec4			lightMaskTexcoord;
	
	float sampleLightMask(){		
		return texture2DProj(lightMaskTexture, lightMaskTexcoord).x;
	}"
	
	semantics{
		lightMaskTexture= LIGHT_MASK_TEXTURE
	}
}